<?php

namespace Modules\FaqCategory\Interfaces;

use Modules\FaqCategory\Models\FaqCategory;

interface FaqCategoryRepositoryInterface
{
    public function get(array $request);
    public function getItem(int $id);
    public function checkItem(int $id);
    public function create(array $request): FaqCategory;
    public function update(array $request, FaqCategory $faqCategory): FaqCategory;
    public function destroy(FaqCategory $faqCategory): void;
    public function destroyAll(array $ids): void;
    public function restore(FaqCategory $faqCategory): void;
    public function restoreAll(array $ids): void;
}
